This folder contains KeYmaera X models, proofs, examples, and exercises for the lectures
  Andre Platzer.
  Dynamic Logic for Dynamical Systems.
  Marktoberdorf Summer School 2017.

Please first download the KeYmaera X theorem prover from the local MOD slides page or from http://keymaeraX.org/keymaerax.jar
Ideally, if you have Mathematica installed, KeYmaera X provides a lot more automation capabilities. If you are a little clever in your proofs, though, you can also first make do without it. Especially instantiating quantifiers helps then.

The "Play" buttons on the slides also link to the models and browsable versions of the proofs on http://web.keymaeraX.org/

The models and proof examples are also provided in this folder. More information on KeYmaera X is provided at

  http://keymaeraX.org/

CONTENTS
========

dlds.kya provides the models, tactics, and proofs for Lectures 1-3 on Dynamic Logic for Dynamical Systems. They are also available if you just click "Import" for the DLDS tutorial on KeYmaera X page for Models.

games.kya provide the models, tactics, and proofs for Lecture 4 on Differential Game Logic.

*.kya and *.kyx files can be imported into the KeYmaera X theorem prover for CPS by clicking on New Model -> Select File -> Save after giving the model a name.

EXERCISES
=========
Exercise 1) Exercises/runaround-robot.kyx is a modeling exercise after Lecture 1 for the runaround robot moving in the two-dimensional plane. Its proof is Exercise 4.

Exercises 2) Exercises/robot-chase.kyx is a modeling and verification exercise after Lecture 2 for controlling a robot chasing another one.

Exercise 3) Exercises/rlc-circuit.kyx is a verification exercise after Lecture 3 for an electric RLC-Circuit.

Exercise 4) Exercises/runaround-robot.kyx Identify differential invariants for differential cuts that verify your model from Exercise 1.
Hint: the notation old(e) in a differential cut refers to the value that the term e had before the differential equation started. If you can't figure out a proof and just want to check your model, just ask us.

Exercise 5) Design more models, proofs, controllers, and winning strategies for the Marktoberdorf soccer match.

Exercise 6) Exercises/basketball.kyx Identify the requirements that make a basketball stay below the initial height even though it is initially being pushed downwards.

